Package de.gebit.integrity.runner.console

## Class SimpleCommandLineParser.BooleanOption

- java.lang.Object
- - de.gebit.integrity.runner.console.SimpleCommandLineParser.Option
  - - de.gebit.integrity.runner.console.SimpleCommandLineParser.BooleanOption

- Enclosing class:
    SimpleCommandLineParser

      public static class SimpleCommandLineParser.BooleanOption
      extends SimpleCommandLineParser.Option

  A boolean command line option.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanOption​(String aShortName, String aLongName)` | Creates a new boolean option.
    `BooleanOption​(String aShortName, String aLongName, String aDescription)` | Creates a new boolean option.
    `BooleanOption​(String aShortName, String aLongName, String aDescription, String aCommandLine)` | Creates a new boolean option.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSet()` |
    `protected boolean` | `matches​(String aParameter)` | Checks whether this matches a given parameter.

    - ### Methods inherited from class de.gebit.integrity.runner.console.SimpleCommandLineParser.Option

      `getCommandLine, getDescription, getHelpLine, getLongName, getShortName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanOption

          public BooleanOption​(String aShortName,
                               String aLongName)

      Creates a new boolean option.
      Parameters:
        `aShortName` - The short name of the option. Usually just one character.
        `aLongName` - The long name of the option, generelly a comprehendable, but not-too-long string.

    - #### BooleanOption

          public BooleanOption​(String aShortName,
                               String aLongName,
                               String aDescription)

      Creates a new boolean option.
      Parameters:
        `aShortName` - The short name of the option. Usually just one character.
        `aLongName` - The long name of the option, generelly a comprehendable, but not-too-long string.

    - #### BooleanOption

          public BooleanOption​(String aShortName,
                               String aLongName,
                               String aDescription,
                               String aCommandLine)

      Creates a new boolean option.
      Parameters:
        `aShortName` - The short name of the option. Usually just one character.
        `aLongName` - The long name of the option, generelly a comprehendable, but not-too-long string.
        `aDescription` - The command line help string for this option.
        `aCommandLine` - The description for the help.

  - ### Method Detail

    - #### matches

          protected boolean matches​(String aParameter)

      Description copied from class: `SimpleCommandLineParser.Option`
      Checks whether this matches a given parameter.
      Overrides:
        `matches` in class `SimpleCommandLineParser.Option`
      Parameters:
        `aParameter` - the parameter
      Returns:
        true if a match is found, false otherwise

    - #### isSet

          public boolean isSet()